variables:
    API_KEY: MzYzNmJlOWFhYjNhMDVmN2VkNzdmOGE5NTM0NTg3OTY5ZmIzYTBlOTAzZTg0N2UwN2E5YmUyY2FiN2I5NzA1MDIx
    PROFILE_ID: 4094

image: 
    name: postman/newman_alpine33
    entrypoint: [""]

stages:
    - test

postman_tests:
    stage: test
    script:
      - apk add zip unzip
      - newman run PetsScenario.postman_collection.json -r cli,json
      - ls
    artifacts:
      when: always
      expire_in: 1 week
      paths:
        - newman_result.zip
    after_script:
      - cd newman; zip -r ../newman_result.zip *.json; cd ..
      - ls
      - apk add curl
      - >
        curl -X POST
        -H "x-api-key: ${API_KEY}"
        -F file[]=@newman_result.zip
        "https://app.calliope.pro/api/v2/profile/"${PROFILE_ID}"/import" -k
